/* Qpeace_err_diag.h ******************
*  Part of QPeace software
*  See README file in QPeace distribution for copyright information
*
*  SJ Schwartz   (s.j.schwartz@qmw.ac.uk)
*  Queen Mary, University of London
*  May 2001 - re-organised Qpeace routines and created this module from others
*
*  Defines for error handling and diagnostic level
*
*/

#ifndef _QPEACE_ERR_DIAG
#define _QPEACE_ERR_DIAG


#ifdef __cplusplus
extern "C"{
#endif

#define QPEACE_VERSION "Qpeace Software V2.667 5 Aug 2004"
#define SHOW_PROMOTE_STATUS_XWIN sTrue   /* sTrue or sFalse */

/* Diagnostic level defs; set any all to zero for no diag; > 0 for diag*/

#define QJAS_DIAG         0
#define DIAG_PRINT_3D     0  /* mostly spin, some sweep diag */  
#define DIAG_PRINT        0       
#define DIAG_PRINT_EBINS  0
#define DIAG_PRINT_INTERP 0  /* for diag re combine sweeps, etc. */
#define DIAG_PAD          0    
#define DIAG_PAD_IDF      0  /* 1 for detailed dump of each idf data structure*/
#define DIAG_SWEEP_IDF    0  /* ditto for sweep */
#define DIAG_PRINT_AZ     0
#define DIAG_SWEEP_TO_PA  0
#define DIAG_PLOTAZ_REBIN_PA 0
#define DIAG_GET_SPIN     0

/* #define DIAG_MULTI_IDFS_FILE */  
/* un-comment for spin/sweep diagnostics if multi-idfs files opened */


#define QUTILS_ERROR              -499
#define PEACE_PAD_ERROR           -500
#define PEACE3D_ERROR             -501  
#define PEACE3D_INCOMPLETE_SPIN   -502
#define PEACE_SWEEPS_SIZE_DIFFER  -503
#define PEACE_SWEEPS_EXPORT_ERROR -504
#define QPEACE_PITCH_ANGLE_ERROR  -505
#define SWEEP_TO_PA_ERROR         -506
#define SWEEP_REBIN_ERROR         -507
#define SWEEP_NLEVEL_CHANGE       -508



#ifdef __cplusplus
}
#endif

#endif  /* end ifndef _QPEACE_ERR_DIAG */
